Subject: Re: bug#40948: 26.3; Docstring of substitute-env-vars

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Jan 2021 07:39:06 +0100

Eli Zaretskii <[email-masked]> writes:

> I modified the doc string to match the argument name.  (I'm not sure
> how to judge which one is correct, because IMO neither WHEN-DEFINED
> nor WHEN-UNDEFINED is correct.  I would call that argument
> HANDLE-UNDEFINED or something to that effect.)
>
> Also note that there's an inconsistency in how the value of this
> variable is used: if it's a function, then the return value of nil
> means leave the variable reference unchanged, but if it is not a
> function, the value of nil means to replace the reference with an
> empty string, and a non-nil value means leave it unchanged.

The interface seems odd indeed, but your changes to the doc string has
now made it match what it's doing (I think), so there doesn't seem to be
anything more to be done in this bug report, and I'm closing it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no